FSCK_MSDOSFS(8)

NAME
fsck_msdosfs - DOS/Windows (FAT) file system consistency checker

SYNOPSIS
fsck_msdosfs -p [-Cf] filesystem ...
fsck_msdosfs [-Cny] filesystem ...

DESCRIPTION
The fsck_msdosfs utility verifies and repairs FAT file systems (more commonly known as DOS file systems).

The first form of fsck_msdosfs preens the specified file systems. It is normally started by fsck(8) run from /etc/rc during automatic reboot, when a FAT file system is detected. When preening file systems, fsck_msdosfs will fix common inconsistencies non-interactively. If more serious problems are found, fsck_msdosfs does not try to fix them, indicates that it was not successful, and exits.

The second form of fsck_msdosfs checks the specified file systems and tries to repair all detected inconsistencies, requesting confirmation before making any changes.

The options are as follows:

-C  Compatibility with the corresponding fsck(8) option (skip check if clean), defined to no-op.

-F  Compatibility with the wrapper fsck(8) which seeks to determine whether the file system needs to be cleaned immediately in foreground, or if its cleaning can be deferred to background. FAT (MS-DOS) file systems must always be cleaned in the foreground. A non-zero exit code is always returned for this option.

-f  Force fsck_msdosfs to check “clean” file systems when preening.

-n  Causes fsck_msdosfs to assume “no” as the answer to all operator questions, except “CONTINUE?”.

-p  Preen the specified file systems.

-y  Causes fsck_msdosfs to assume “yes” as the answer to all operator questions.

SEE ALSO
fsck(8), fsck_ffs(8), mount_msdosfs(8)

HISTORY
The fsck_msdosfs utility appeared in NetBSD 1.2. fsck_msdosfs first appeared in FreeBSD 4.4.

BUGS
The fsck_msdosfs utility is